import Session from '../Services/Identity/Session';
import { GetAllTeamServiceAreasResponse, InsertTeamServiceAreaRequest, InsertTeamServiceAreaResponse } from './TeamServiceArea.consts';
export default class TeamServiceAreaApi {
    private teamServiceAreaEntity;
    constructor(session: Session);
    getAll(): Promise<GetAllTeamServiceAreasResponse>;
    updateAll(request: InsertTeamServiceAreaRequest): Promise<InsertTeamServiceAreaResponse>;
}
